import request from "@/utils/request";

// 查询固有风险清单库列表
export function ledgerRoomList(query) {
  return request({
    url: "system/ledger/room/list",
    method: "get",
    params: query,
  });
}

// 查询固有风险清单库详细
export function getDictList(query) {
  return request({
    url: "/risk/plan/dict/data/list",
    method: "get",
    params: query,
  });
}


// 保存固有风险
export function updateBatch(data) {
  return request({
    url: "/ledger/room/update/batch",
    method: "post",
    data
  });
}

export function getFun(url, params) {
  const Url = '/system' + url
  return request({
    url: Url,
    method: "get",
    params,
  });
}
export function postFun(url, data) {
  const Url = '/system' + url
  return request({
    url: Url,
    method: "post",
    data,
  });
}